import React, { Component } from 'react';
import { TPMIndexHOC } from '../tpm/TPMIndexHOC';
import { SnackbarHOC, getImageUrl } from 'educoder';

class http500 extends Component {
    render() {
        const { current_user } = this.props;
        return (
            <div className="newMain newTable clearfix">
                    <div className=" edu-txt-center mt60">
                        {/*mt100 mb100*/}
                        <img src={getImageUrl("/images/warn/pic_404.jpg")} />
                            <p className="font-16 mt56 newImages">
                                <p>你访问的页面不存在</p>
                                您可尝试
                                {(!current_user || !current_user.login) && (
                                    <p style={{display:"inline"}}>您可尝试<a href="//testforgeplus.trustie.net/login" className="color-blue">登录</a>或</p>
                                )}
                                <a href="/"
                                                className="color-blue">返回首页</a>
                                ，也可通过
                                <a target="_blank"
                                   href="https://qm.qq.com/cgi-bin/qm/qr?k=YVGUhY7uK8ovpyd7tG_lHe2qGZ63LOij&jump_from=webapi"
                                   className="color-blue">QQ</a>向我们反馈
                            </p>
                    </div>
                    {/*<div style="clear:both;"></div>*/}
                    {/*<div id="ajax-indicator" style="display:none;"><span>载入中...</span></div>*/}
                    {/*<div id="ajax-modal" style="display:none;"></div>*/}
            </div>
        );
    }
}

export default SnackbarHOC()(TPMIndexHOC(http500));
